"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectService = void 0;
const common_1 = require("@nestjs/common");
const helper_1 = require("../../helper");
const constants_1 = require("../../constants");
function InjectService() {
    return (target, key) => {
        (0, common_1.Inject)((0, helper_1.getProviderName)(target.constructor, constants_1.JSON_API_SERVICE_POSTFIX))(target, key);
    };
}
exports.InjectService = InjectService;
//# sourceMappingURL=inject-service.decorator.js.map